Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.query
Interface WorkflowSelectors.Factory

Enclosing class:
  WorkflowSelectors

    protected static interface WorkflowSelectors.Factory

Factory interface, used for internal implementation

Method Summary
`Selector` | `approversContains(java.util.Collection<java.lang.String> approvers)`
`Selector` | `approversContains(java.lang.String... approvers)`
`Selector` | `expireAfter(java.util.Date expireDate, boolean includeBoundary)`
`Selector` | `expireBefore(java.util.Date expireDate, boolean includeBoundary)`
`Selector` | `generalDateOneAfter(java.util.Date publishDate, boolean includeBoundary)`
`Selector` | `generalDateOneBefore(java.util.Date publishDate, boolean includeBoundary)`
`Selector` | `generalDateTwoAfter(java.util.Date publishDate, boolean includeBoundary)`
`Selector` | `generalDateTwoBefore(java.util.Date publishDate, boolean includeBoundary)`
`Selector` | `publishAfter(java.util.Date publishDate, boolean includeBoundary)`
`Selector` | `publishBefore(java.util.Date publishDate, boolean includeBoundary)`
`Selector` | `stageEquals(Identity stage)`
`Selector` | `stageIn(java.util.Collection<? extends Identity> stages)`
`Selector` | `statusEquals(WorkflowSelectors.Status status)`
`Selector` | `statusEquals(WorkflowSelectors.Status status, Identity<?> projectScope)`
`Selector` | `statusIn(java.util.Collection<WorkflowSelectors.Status> status)`
`Selector` | `statusIn(java.util.Collection<WorkflowSelectors.Status> status, Identity<?> projectScope)`
`Selector` | `statusIn(WorkflowSelectors.Status... status)`
`Selector` | `workflowEquals(Identity workflow)`
`Selector` | `workflowIn(java.util.Collection<? extends Identity> workflows)`

Method Detail

### statusEquals

    Selector statusEquals(WorkflowSelectors.Status status)

### statusEquals

    Selector statusEquals(WorkflowSelectors.Status status,
                          Identity<?> projectScope)

### statusIn

    Selector statusIn(java.util.Collection<WorkflowSelectors.Status> status)

### statusIn

    Selector statusIn(java.util.Collection<WorkflowSelectors.Status> status,
                      Identity<?> projectScope)

### statusIn

    Selector statusIn(WorkflowSelectors.Status... status)

### workflowEquals

    Selector workflowEquals(Identity workflow)

### workflowIn

    Selector workflowIn(java.util.Collection<? extends Identity> workflows)

### stageEquals

    Selector stageEquals(Identity stage)

### stageIn

    Selector stageIn(java.util.Collection<? extends Identity> stages)

### publishAfter

    Selector publishAfter(java.util.Date publishDate,
                          boolean includeBoundary)

### publishBefore

    Selector publishBefore(java.util.Date publishDate,
                           boolean includeBoundary)

### generalDateOneAfter

    Selector generalDateOneAfter(java.util.Date publishDate,
                                 boolean includeBoundary)

### generalDateOneBefore

    Selector generalDateOneBefore(java.util.Date publishDate,
                                  boolean includeBoundary)

### generalDateTwoAfter

    Selector generalDateTwoAfter(java.util.Date publishDate,
                                 boolean includeBoundary)

### generalDateTwoBefore

    Selector generalDateTwoBefore(java.util.Date publishDate,
                                  boolean includeBoundary)

### expireAfter

    Selector expireAfter(java.util.Date expireDate,
                         boolean includeBoundary)

### expireBefore

    Selector expireBefore(java.util.Date expireDate,
                          boolean includeBoundary)

### approversContains

    Selector approversContains(java.lang.String... approvers)

### approversContains

    Selector approversContains(java.util.Collection<java.lang.String> approvers)

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD